This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 492818 - GPF with nfsv3
GPF with nfsv3
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-30 00:19 EDT by Bernie Innocenti
Modified: 2009-10-02 09:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-02 09:43:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bernie Innocenti 2009-03-30 00:19:44 EDT
Description of problem:
Harmless, but repeatable "general protection fault" messages appear in dmesg while transferring a file

Version-Release number of selected component (if applicable):
kernel-2.6.29-16.fc11.x86_64

How reproducible:
Quite rare, but happened multiple times, and again after a reboot

Steps to Reproduce:
1. Take any Amiga equipped with NetBSD 1.4 from your collection
2. mount linuxhost:/arc /arc
3. copy over one huge 4GB file with dd
4. sit back for a few hours

Actual results:
GPF messages creep every hour or two

Expected results:
Things should go smoothly

Additional info:

dhclient-script used greatest stack depth: 3112 bytes left
JBD: barrier-based sync failed on dm-2:8 - disabling barriers
type=1400 audit(1238365767.786:16035): avc:  denied  { read } for  pid=15364 comm="sshd" name="home" dev=sda1 ino=13 scontext=system_u:system_r:sshd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:default_t:s0 tclass=lnk_file
general protection fault: 0000 [#1] SMP 
last sysfs file: /sys/devices/virtual/net/pan0/statistics/collisions
CPU 0 
Modules linked in: affs nfsd lockd nfs_acl exportfs rpcsec_gss_krb5 auth_rpcgss des_generic sunrpc fuse rfcomm bridge stp llc bnep sco l2cap coretemp hwmon_vid ipv6 nf_nat_irc nf_nat_ftp nf_conntrack_ftp nf_conntrack_irc ipt_ULOG xt_TCPMSS iptable_mangle iptable_nat nf_nat cpufreq_ondemand acpi_cpufreq freq_table kvm_intel kvm uinput pcspkr firewire_ohci firewire_core iTCO_wdt i2c_i801 crc_itu_t skge iTCO_vendor_support snd_hda_codec_realtek atl1 snd_hda_intel mii snd_hda_codec pata_jmicron snd_hwdep snd_pcm snd_timer snd soundcore snd_page_alloc btusb bluetooth asus_atk0110 hwmon ata_generic pata_acpi ext4 jbd2 crc16 radeon drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
Pid: 6019, comm: nfsd Tainted: G        W  2.6.29-16.fc11.x86_64 #1 P5K
RIP: 0010:[<ffffffff8116b266>]  [<ffffffff8116b266>] inode_has_perm+0x30/0x66
RSP: 0018:ffff880106d05c50  EFLAGS: 00010246
RAX: 6b6b6b6b6b6b6b6b RBX: 0000000000100004 RCX: 0000000000000000
RDX: 0000000000100004 RSI: ffff88008f11b4b0 RDI: ffff88010a04d300
RBP: ffff880106d05ca0 R08: 0000000000000000 R09: ffff8800331e27b0
R10: ffff88011418ae70 R11: 0000000000000000 R12: ffff88008f11b4b0
R13: ffff88010a04d300 R14: ffff88010d012c00 R15: ffff88008f11b4b0
FS:  0000000000000000(0000) GS:ffffffff8197d000(0000) knlGS:0000000000000000
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
CR2: 00007fd59372a000 CR3: 0000000056ef0000 CR4: 00000000000026e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process nfsd (pid: 6019, threadinfo ffff880106d04000, task ffff8801121723c0)
Stack:
 0000000000000000 0000000000000246 ffffffff8160cc18 0000000000000246
 ffff880106d05c90 ffffffff811a2e67 ffff8800331e27b0 ffffffff8160cc00
 ffff880106d05cb0 ffffffff81398d01 ffff880106d05cd0 ffffffff8116e444
Call Trace:
 [<ffffffff811a2e67>] ? _raw_spin_unlock+0x8e/0x94
 [<ffffffff81398d01>] ? _spin_unlock+0x2b/0x30
 [<ffffffff8116e444>] selinux_dentry_open+0xe7/0xf0
 [<ffffffff8116675d>] security_dentry_open+0x16/0x18
 [<ffffffff810e32bf>] __dentry_open+0x179/0x31c
 [<ffffffff810e34e9>] dentry_open+0x87/0x8e
 [<ffffffffa03c0148>] nfsd_open+0x134/0x15d [nfsd]
 [<ffffffffa03c031f>] nfsd_commit+0x31/0x7f [nfsd]
 [<ffffffff8105bbc1>] ? groups_alloc+0x3d/0xbf
 [<ffffffffa03c5db6>] nfsd3_proc_commit+0x96/0xa6 [nfsd]
 [<ffffffffa03bb26f>] nfsd_dispatch+0xf1/0x1cc [nfsd]
 [<ffffffffa03726a7>] svc_process+0x426/0x642 [sunrpc]
 [<ffffffffa03c30fb>] ? exp_readlock+0x15/0x17 [nfsd]
 [<ffffffffa03bb873>] nfsd+0x14e/0x1ae [nfsd]
 [<ffffffffa03bb725>] ? nfsd+0x0/0x1ae [nfsd]
 [<ffffffff81061871>] kthread+0x4d/0x78
 [<ffffffff810126aa>] child_rip+0xa/0x20
 [<ffffffff8100f88b>] ? __switch_to+0x190/0x398
 [<ffffffff81011fbe>] ? restore_args+0x0/0x30
 [<ffffffff810617ff>] ? kthreadd+0x182/0x1a7
 [<ffffffff81061824>] ? kthread+0x0/0x78
 [<ffffffff810126a0>] ? child_rip+0x0/0x20
Code: 83 ec 50 0f 1f 44 00 00 44 8b 9e 78 04 00 00 31 c0 49 89 c8 41 81 e3 00 02 00 00 75 42 48 8b 47 68 48 85 c9 4c 8b 96 80 04 00 00 <44> 8b 48 04 75 19 4c 8d 45 b0 b9 12 00 00 00 44 89 d8 4c 89 c7 
RIP  [<ffffffff8116b266>] inode_has_perm+0x30/0x66
 RSP <ffff880106d05c50>
---[ end trace 2220f9e0334d64e8 ]---
general protection fault: 0000 [#2] SMP 
last sysfs file: /sys/devices/virtual/net/pan0/statistics/collisions
CPU 1 
Modules linked in: affs nfsd lockd nfs_acl exportfs rpcsec_gss_krb5 auth_rpcgss des_generic sunrpc fuse rfcomm bridge stp llc bnep sco l2cap coretemp hwmon_vid ipv6 nf_nat_irc nf_nat_ftp nf_conntrack_ftp nf_conntrack_irc ipt_ULOG xt_TCPMSS iptable_mangle iptable_nat nf_nat cpufreq_ondemand acpi_cpufreq freq_table kvm_intel kvm uinput pcspkr firewire_ohci firewire_core iTCO_wdt i2c_i801 crc_itu_t skge iTCO_vendor_support snd_hda_codec_realtek atl1 snd_hda_intel mii snd_hda_codec pata_jmicron snd_hwdep snd_pcm snd_timer snd soundcore snd_page_alloc btusb bluetooth asus_atk0110 hwmon ata_generic pata_acpi ext4 jbd2 crc16 radeon drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
Pid: 6021, comm: nfsd Tainted: G      D W  2.6.29-16.fc11.x86_64 #1 P5K
RIP: 0010:[<ffffffff8116b266>]  [<ffffffff8116b266>] inode_has_perm+0x30/0x66
RSP: 0018:ffff880106e25c10  EFLAGS: 00010246
RAX: 6b6b6b6b6b6b6b6b RBX: 0000000000100004 RCX: 0000000000000000
RDX: 0000000000100004 RSI: ffff88008f11b4b0 RDI: ffff8800914dcb00
RBP: ffff880106e25c60 R08: 0000000000000000 R09: ffff88011e81c3d8
R10: ffff88011418ae70 R11: 0000000000000000 R12: ffff88008f11b4b0
R13: ffff8800914dcb00 R14: ffff8801064d5800 R15: ffff88008f11b4b0
FS:  0000000000000000(0000) GS:ffff88012fb65708(0000) knlGS:0000000000000000
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
CR2: 00007fd1188cd020 CR3: 000000012209f000 CR4: 00000000000026e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process nfsd (pid: 6021, threadinfo ffff880106e24000, task ffff8801221823c0)
Stack:
 0000000000000000 0000000000000246 ffffffff8160cc18 0000000000000246
 ffff880106e25c50 ffffffff811a2e67 ffff88011e81c3d8 ffffffff8160cc00
 ffff880106e25c70 ffffffff81398d01 ffff880106e25c90 ffffffff8116e444
Call Trace:
 [<ffffffff811a2e67>] ? _raw_spin_unlock+0x8e/0x94
 [<ffffffff81398d01>] ? _spin_unlock+0x2b/0x30
 [<ffffffff8116e444>] selinux_dentry_open+0xe7/0xf0
 [<ffffffff8116675d>] security_dentry_open+0x16/0x18
 [<ffffffff810e32bf>] __dentry_open+0x179/0x31c
 [<ffffffff810e34e9>] dentry_open+0x87/0x8e
 [<ffffffffa03c0148>] nfsd_open+0x134/0x15d [nfsd]
 [<ffffffffa03c03fb>] nfsd_write+0x8e/0xdb [nfsd]
 [<ffffffffa03c6694>] nfsd3_proc_write+0xcd/0xee [nfsd]
 [<ffffffffa03bb26f>] nfsd_dispatch+0xf1/0x1cc [nfsd]
 [<ffffffffa03726a7>] svc_process+0x426/0x642 [sunrpc]
 [<ffffffffa03c30fb>] ? exp_readlock+0x15/0x17 [nfsd]
 [<ffffffffa03bb873>] nfsd+0x14e/0x1ae [nfsd]
 [<ffffffffa03bb725>] ? nfsd+0x0/0x1ae [nfsd]
 [<ffffffff81061871>] kthread+0x4d/0x78
 [<ffffffff810126aa>] child_rip+0xa/0x20
 [<ffffffff8100f88b>] ? __switch_to+0x190/0x398
 [<ffffffff81011fbe>] ? restore_args+0x0/0x30
 [<ffffffff810617ff>] ? kthreadd+0x182/0x1a7
 [<ffffffff81061824>] ? kthread+0x0/0x78
 [<ffffffff810126a0>] ? child_rip+0x0/0x20
Code: 83 ec 50 0f 1f 44 00 00 44 8b 9e 78 04 00 00 31 c0 49 89 c8 41 81 e3 00 02 00 00 75 42 48 8b 47 68 48 85 c9 4c 8b 96 80 04 00 00 <44> 8b 48 04 75 19 4c 8d 45 b0 b9 12 00 00 00 44 89 d8 4c 89 c7 
RIP  [<ffffffff8116b266>] inode_has_perm+0x30/0x66
 RSP <ffff880106e25c10>
---[ end trace 2220f9e0334d64e9 ]---
Comment 1 Chuck Ebbert 2009-03-31 00:38:19 EDT
   f:	31 c0                	xor    %eax,%eax
  11:	49 89 c8             	mov    %rcx,%r8
  14:	41 81 e3 00 02 00 00 	and    $0x200,%r11d
  1b:	75 42                	jne    0x5f
  1d:	48 8b 47 68          	mov    0x68(%rdi),%rax
  21:	48 85 c9             	test   %rcx,%rcx
  24:	4c 8b 96 80 04 00 00 	mov    0x480(%rsi),%r10

rax == 0x6b6b6b6b6b6b6b6b here:
   0:	44 8b 48 04          	mov    0x4(%rax),%r9d
   4:	75 19                	jne    0x1f
   6:	4c 8d 45 b0          	lea    -0x50(%rbp),%r8
   a:	b9 12 00 00 00       	mov    $0x12,%ecx
   f:	44 89 d8             	mov    %r11d,%eax
  12:	4c 89 c7             	mov    %r8,%rdi
Comment 2 Bug Zapper 2009-06-09 08:48:34 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Joel 2009-06-26 21:27:59 EDT
Message from syslogd@joel at Jun 26 18:13:56 ...
 kernel:Oops: 0000 [#1] SMP 

Message from syslogd@joel at Jun 26 18:13:56 ...
 kernel:last sysfs file: /sys/devices/virtual/net/sit0/statistics/collisions

Message from syslogd@joel at Jun 26 18:13:56 ...
 kernel:Stack:

Message from syslogd@joel at Jun 26 18:13:56 ...
 kernel: 0000000000000001 ffffffff815f7040 ffff8801c9ddfc90 0000000000000246

Message from syslogd@joel at Jun 26 18:13:56 ...
 kernel: ffff8801c9ddfc60 ffff8800d5f31900 ffff8801c9ddfc90 ffffffff81186984

Message from syslogd@joel at Jun 26 18:13:56 ...
 kernel:Call Trace:

Message from syslogd@joel at Jun 26 18:13:56 ...
 kernel: [<ffffffff8105613a>] ? in_group_p+0x2e/0x30

Message from syslogd@joel at Jun 26 18:13:56 ...
 kernel: [<ffffffff81186984>] selinux_dentry_open+0xe7/0xf0

Message from syslogd@joel at Jun 26 18:13:56 ...
 kernel: [<ffffffff8117f029>] security_dentry_open+0x16/0x18

Message from syslogd@joel at Jun 26 18:13:56 ...
 kernel: [<ffffffff810d38fa>] __dentry_open+0x11b/0x273

Message from syslogd@joel at Jun 26 18:13:56 ...
 kernel: [<ffffffff810d3ad9>] dentry_open+0x87/0x8e

Message from syslogd@joel at Jun 26 18:13:56 ...
 kernel: [<ffffffffa032f0a8>] nfsd_open+0x12d/0x156 [nfsd]

Message from syslogd@joel at Jun 26 18:13:56 ...
 kernel: [<ffffffff8104df8a>] ? _local_bh_enable_ip+0xde/0xeb

Message from syslogd@joel at Jun 26 18:13:56 ...
 kernel: [<ffffffffa032f42d>] nfsd_read+0x85/0xc4 [nfsd]

Message from syslogd@joel at Jun 26 18:13:56 ...
 kernel: [<ffffffffa03356d0>] nfsd3_proc_read+0xe7/0x126 [nfsd]

Message from syslogd@joel at Jun 26 18:13:56 ...
 kernel: [<ffffffffa032a26f>] nfsd_dispatch+0xf1/0x1cc [nfsd]

Message from syslogd@joel at Jun 26 18:13:56 ...
 kernel: [<ffffffffa02ab1b5>] svc_process+0x426/0x642 [sunrpc]

Message from syslogd@joel at Jun 26 18:13:56 ...
 kernel: [<ffffffffa032a83c>] nfsd+0x11a/0x178 [nfsd]

Message from syslogd@joel at Jun 26 18:13:56 ...
 kernel: [<ffffffffa032a722>] ? nfsd+0x0/0x178 [nfsd]

Message from syslogd@joel at Jun 26 18:13:56 ...
 kernel: [<ffffffff8105c6b5>] kthread+0x4d/0x78

Message from syslogd@joel at Jun 26 18:13:56 ...
 kernel: [<ffffffff8101264a>] child_rip+0xa/0x20

Message from syslogd@joel at Jun 26 18:13:56 ...
 kernel: [<ffffffff81011f67>] ? restore_args+0x0/0x30

Message from syslogd@joel at Jun 26 18:13:56 ...
 kernel: [<ffffffff8105c668>] ? kthread+0x0/0x78

Message from syslogd@joel at Jun 26 18:13:56 ...
 kernel: [<ffffffff81012640>] ? child_rip+0x0/0x20

Message from syslogd@joel at Jun 26 18:13:56 ...
 kernel:Code: 83 ec 50 0f 1f 44 00 00 44 8b 9e 18 02 00 00 31 c0 49 89 c8 41 81 e3 00 02 00 00 75 42 48 8b 47 68 48 85 c9 4c 8b 96 20 02 00 00 <44> 8b 48 04 75 19 4c 8d 45 b0 b9 12 00 00 00 44 89 d8 4c 89 c7 

Message from syslogd@joel at Jun 26 18:13:56 ...
 kernel:CR2: 0000000000000004



Is this the same thing?
Comment 4 Steve Dickson 2009-10-01 10:44:54 EDT
It appears so... It this happening on more recent kernels?
Comment 5 Bernie Innocenti 2009-10-01 17:40:59 EDT
Sorry, at this time I can't reproduce it because I've left my pile of NetBSD/m68k Amigas in Italy.

If the traceback I provided does not immediately ring any bell, I guess we can close this report as INSUFFICIENT_DATA or CANTFIX.
Comment 6 Steve Dickson 2009-10-02 09:43:40 EDT
I agree.. we can always re-open it...

Note You need to log in before you can comment on or make changes to this bug.